//
//  ShoppingListItem+CoreDataProperties.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 8/5/21.
//
//

import Foundation
import CoreData


extension ShoppingListItem {
    @nonobjc public class func fetchRequest() -> NSFetchRequest<ShoppingListItem> {
        return NSFetchRequest<ShoppingListItem>(entityName: "ShoppingListItem")
    }

    @NSManaged public var id: UUID?
    @NSManaged public var isPurchased: Bool
    @NSManaged public var didDiscardItem: Bool
    @NSManaged public var article: Article?
    @NSManaged public var shoppingList: ShoppingList?
}

extension ShoppingListItem: Identifiable {}
