//
//  CalendarItem+CoreDataProperties.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 1/5/21.
//
//

import UIKit
import CoreData

extension CalendarItem {
  @nonobjc public class func fetchRequest() -> NSFetchRequest<CalendarItem> {
    return NSFetchRequest<CalendarItem>(entityName: "CalendarItem")
  }

  @NSManaged public var id: UUID?
  @NSManaged public var type: Int32
  @NSManaged public var dish: Dish?
  @NSManaged public var article: Article?
  @NSManaged public var day: CalendarDay?
}

extension CalendarItem: Identifiable {}
