//
//  ShopViewModel.swift
//  Foodlisting
//
//  Created by Carlos Martinez on 9/5/21.
//

import Foundation

class ShopViewModel {
  private var repository = ShoppingListRepository.shared

  deinit {
    repository.save { _ in }
  }

  private(set) var currentList: ShoppingList

  init(withRepository: ShoppingListRepository, andList: ShoppingList) {
    repository = withRepository
    currentList = andList
  }

  init(withList: ShoppingList) {
    currentList = withList
  }

  func finishPurcahse () {
    currentList.isPurchased = true
  }
}
